Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA050] DSA-050-1 sendfile


Vulnerability Assessment Details

[DSA050] DSA-050-1 sendfile

Vulnerability Assessment Summary
DSA-050-1 sendfile

Detailed Explanation for this Vulnerability Assessment

Colin Phipps and Daniel Kobras discovered and fixed several serious
bugs in the saft daemon `sendfiled' which caused it to drop rights
incorrectly. Exploiting this a local user can easily make it execute
arbitrary code under root rights.

We recommend you upgrade your sendfile packages immediately.




Solution : http://www.debian.org/security/2001/dsa-050
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

Polycom IP 335 VoIP SIP Phone Telephone PoE (2200-12375-001)
$18.0
Polycom IP 335 VoIP SIP Phone Telephone PoE (2200-12375-001) pictureCisco SPA525G VoIP Desk Phone + SPA500S Expansion Module/Sidecar + Power Supply
$64.99
Cisco SPA525G VoIP Desk Phone + SPA500S Expansion Module/Sidecar + Power Supply pictureOriginal Magic Jack USB PC to Phone VoIP Model A921 Excellent Shape
$5.0
Original Magic Jack USB PC to Phone VoIP Model A921 Excellent Shape picturenetTALK Duo II VOIP Voice Over Internet Device USED phone line replacement
$25.64
netTALK Duo II VOIP Voice Over Internet Device USED phone line replacement picture


Discussions

No Discussions have been posted on this vulnerability.